#
# spec file for package bash-completion (Version 1.1)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           bash-completion
Version:        1.1
Release:        1
License:        GPLv2+
Summary:        Programmable Completion for Bash
Url:            http://bash-completion.alioth.debian.org/
Group:          System/Shells
Source0:        http://bash-completion.alioth.debian.org/files/%{name}-%{version}.tar.bz2
# PATCH-FEATURE-OPENSUSE bash-completion-speedup_rpm.patch -- We have rpmqpack that is faster than "rpm -qa"
Patch0:         bash-completion-speedup_rpm.patch
Requires:       bash
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
bash-completion is a collection of shell functions that take advantage
of the programmable completion feature of Bash 2.04 and later.

%prep
%setup -q
%patch0

%build
%configure
%__make %{?jobs:-j%jobs}

%install
%makeinstall

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README
%config %{_sysconfdir}/bash_completion
%config %{_sysconfdir}/bash_completion.d/*

%changelog
